Activity log for bug #1482219

Date Who What changed Old value New value Message
2015-08-06 13:12:37 Mikaela Suomalainen bug added bug
2015-08-19 08:47:33 Launchpad Janitor mozvoikko (Ubuntu): status New Confirmed
2015-08-21 18:14:30 Alberto Salvia Novella mozvoikko (Ubuntu): importance Undecided High
2015-09-18 13:10:15 Timo Jyrinki nominated for series Ubuntu Wily
2015-09-18 13:10:15 Timo Jyrinki nominated for series Ubuntu Precise
2015-09-18 13:10:15 Timo Jyrinki nominated for series Ubuntu Vivid
2015-09-18 13:10:15 Timo Jyrinki nominated for series Ubuntu Trusty
2015-09-18 13:17:16 Timo Jyrinki summary xul-ext-mozvoikko isn't signed (cannot be loaded on Mozilla Firefox 41.0a2) [SRU] xul-ext-mozvoikko isn't signed (cannot be loaded on Mozilla Firefox 41.0a2)
2015-09-18 13:18:39 Timo Jyrinki description I have installed Mozilla Firefox 41.0a2 out of repositories, but this extension gets loaded on it too. Today this Firefox Developer Edition started complaining about the addon not being signed which prevents loading it for security reasons. Even if this Firefox is out of repositories, when 41 becomes stable downstream Firefox is also going to suffer from this unless it has patches to disable this which would again be insecure and allow random extensions to be installed from anywhere. Firefox Developer Edition gives "more details" which is link to <https://support.mozilla.org/fi/kb/add-on-signing-in-firefox?redirectlocale=en-US&as=u&redirectslug=add-ons-signing-firefox&utm_source=inproduct>. ProblemType: Bug DistroRelease: Ubuntu 15.10 Package: xul-ext-mozvoikko 2.0.1-1ubuntu1 ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3 Uname: Linux 4.1.0-3-generic x86_64 NonfreeKernelModules: fglrx AddonCompatCheckDisabled: False ApportVersion: 2.18-0ubuntu5 Architecture: amd64 AudioDevicesInUse: KÄYTTÄJÄ PID ACCESS KÄSKY /dev/snd/controlC0: mikaela 1673 F.... pulseaudio BuildID: 20150620063927 Channel: Unavailable CurrentDesktop: Date: Thu Aug 6 16:02:29 2015 DefaultProfileExtensions: extensions.sqlite corrupt or missing DefaultProfileIncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) DefaultProfileLocales: extensions.sqlite corrupt or missing DefaultProfileThemes: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig: # interfaces(5) file used by ifup(8) and ifdown(8) auto lo iface lo inet loopback InstallationDate: Installed on 2015-07-31 (6 days ago) InstallationMedia: Ubuntu-MATE 15.10 "Wily Werewolf" - Alpha amd64 (20150729) IpRoute: default via 172.16.0.1 dev wlo1 proto static metric 400 10.0.3.0/24 dev lxcbr0 proto kernel scope link src 10.0.3.1 169.254.0.0/16 dev wlo1 scope link metric 1000 172.16.0.0/16 dev wlo1 proto kernel scope link metric 400 PackageArchitecture: all Profile1Extensions: extensions.sqlite corrupt or missing Profile1IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) Profile1Locales: extensions.sqlite corrupt or missing Profile1PrefSources: prefs.js Profile1Themes: extensions.sqlite corrupt or missing Profiles: Profile0 (Default) - LastVersion=41.0a2/20150805004014 (Out of date) Profile1 - LastVersion=41.0a2/20150805004014 (Out of date) RunningIncompatibleAddons: False SourcePackage: mozvoikko UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 12/18/2011 dmi.bios.vendor: Hewlett-Packard dmi.bios.version: F.48 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 3577 dmi.board.vendor: Hewlett-Packard dmi.board.version: 24.4A dmi.chassis.asset.tag: Chassis Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnHewlett-Packard:bvrF.48:bd12/18/2011:svnHewlett-Packard:pnPresarioCQ57NotebookPC:pvr068F110000204910000620100:rvnHewlett-Packard:rn3577:rvr24.4A:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: Presario CQ57 Notebook PC dmi.product.version: 068F110000204910000620100 dmi.sys.vendor: Hewlett-Packard [ Impact ] Breaks all Finnish spell-checking when Firefox 41 is released. [ Test Case ] Install Firefox 41, or alternatively use the current Firefox and check the extension warnings. When installing a fixed package, the warning disappears in current Firefox / extension works in future Firefox. [ Regression Potential ] Low, the extension is a simple non-compiled extension. --- I have installed Mozilla Firefox 41.0a2 out of repositories, but this extension gets loaded on it too. Today this Firefox Developer Edition started complaining about the addon not being signed which prevents loading it for security reasons. Even if this Firefox is out of repositories, when 41 becomes stable downstream Firefox is also going to suffer from this unless it has patches to disable this which would again be insecure and allow random extensions to be installed from anywhere. Firefox Developer Edition gives "more details" which is link to <https://support.mozilla.org/fi/kb/add-on-signing-in-firefox?redirectlocale=en-US&as=u&redirectslug=add-ons-signing-firefox&utm_source=inproduct>. ProblemType: Bug DistroRelease: Ubuntu 15.10 Package: xul-ext-mozvoikko 2.0.1-1ubuntu1 ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3 Uname: Linux 4.1.0-3-generic x86_64 NonfreeKernelModules: fglrx AddonCompatCheckDisabled: False ApportVersion: 2.18-0ubuntu5 Architecture: amd64 AudioDevicesInUse:  KÄYTTÄJÄ PID ACCESS KÄSKY  /dev/snd/controlC0: mikaela 1673 F.... pulseaudio BuildID: 20150620063927 Channel: Unavailable CurrentDesktop: Date: Thu Aug 6 16:02:29 2015 DefaultProfileExtensions: extensions.sqlite corrupt or missing DefaultProfileIncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) DefaultProfileLocales: extensions.sqlite corrupt or missing DefaultProfileThemes: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  # interfaces(5) file used by ifup(8) and ifdown(8)  auto lo  iface lo inet loopback InstallationDate: Installed on 2015-07-31 (6 days ago) InstallationMedia: Ubuntu-MATE 15.10 "Wily Werewolf" - Alpha amd64 (20150729) IpRoute:  default via 172.16.0.1 dev wlo1 proto static metric 400  10.0.3.0/24 dev lxcbr0 proto kernel scope link src 10.0.3.1  169.254.0.0/16 dev wlo1 scope link metric 1000  172.16.0.0/16 dev wlo1 proto kernel scope link metric 400 PackageArchitecture: all Profile1Extensions: extensions.sqlite corrupt or missing Profile1IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) Profile1Locales: extensions.sqlite corrupt or missing Profile1PrefSources: prefs.js Profile1Themes: extensions.sqlite corrupt or missing Profiles:  Profile0 (Default) - LastVersion=41.0a2/20150805004014 (Out of date)  Profile1 - LastVersion=41.0a2/20150805004014 (Out of date) RunningIncompatibleAddons: False SourcePackage: mozvoikko UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 12/18/2011 dmi.bios.vendor: Hewlett-Packard dmi.bios.version: F.48 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 3577 dmi.board.vendor: Hewlett-Packard dmi.board.version: 24.4A dmi.chassis.asset.tag: Chassis Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnHewlett-Packard:bvrF.48:bd12/18/2011:svnHewlett-Packard:pnPresarioCQ57NotebookPC:pvr068F110000204910000620100:rvnHewlett-Packard:rn3577:rvr24.4A:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: Presario CQ57 Notebook PC dmi.product.version: 068F110000204910000620100 dmi.sys.vendor: Hewlett-Packard
2015-09-18 13:19:11 Launchpad Janitor branch linked lp:~timo-jyrinki/ubuntu/wily/mozvoikko/new_upstream_signed_release
2015-09-18 13:20:37 Timo Jyrinki description [ Impact ] Breaks all Finnish spell-checking when Firefox 41 is released. [ Test Case ] Install Firefox 41, or alternatively use the current Firefox and check the extension warnings. When installing a fixed package, the warning disappears in current Firefox / extension works in future Firefox. [ Regression Potential ] Low, the extension is a simple non-compiled extension. --- I have installed Mozilla Firefox 41.0a2 out of repositories, but this extension gets loaded on it too. Today this Firefox Developer Edition started complaining about the addon not being signed which prevents loading it for security reasons. Even if this Firefox is out of repositories, when 41 becomes stable downstream Firefox is also going to suffer from this unless it has patches to disable this which would again be insecure and allow random extensions to be installed from anywhere. Firefox Developer Edition gives "more details" which is link to <https://support.mozilla.org/fi/kb/add-on-signing-in-firefox?redirectlocale=en-US&as=u&redirectslug=add-ons-signing-firefox&utm_source=inproduct>. ProblemType: Bug DistroRelease: Ubuntu 15.10 Package: xul-ext-mozvoikko 2.0.1-1ubuntu1 ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3 Uname: Linux 4.1.0-3-generic x86_64 NonfreeKernelModules: fglrx AddonCompatCheckDisabled: False ApportVersion: 2.18-0ubuntu5 Architecture: amd64 AudioDevicesInUse:  KÄYTTÄJÄ PID ACCESS KÄSKY  /dev/snd/controlC0: mikaela 1673 F.... pulseaudio BuildID: 20150620063927 Channel: Unavailable CurrentDesktop: Date: Thu Aug 6 16:02:29 2015 DefaultProfileExtensions: extensions.sqlite corrupt or missing DefaultProfileIncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) DefaultProfileLocales: extensions.sqlite corrupt or missing DefaultProfileThemes: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  # interfaces(5) file used by ifup(8) and ifdown(8)  auto lo  iface lo inet loopback InstallationDate: Installed on 2015-07-31 (6 days ago) InstallationMedia: Ubuntu-MATE 15.10 "Wily Werewolf" - Alpha amd64 (20150729) IpRoute:  default via 172.16.0.1 dev wlo1 proto static metric 400  10.0.3.0/24 dev lxcbr0 proto kernel scope link src 10.0.3.1  169.254.0.0/16 dev wlo1 scope link metric 1000  172.16.0.0/16 dev wlo1 proto kernel scope link metric 400 PackageArchitecture: all Profile1Extensions: extensions.sqlite corrupt or missing Profile1IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) Profile1Locales: extensions.sqlite corrupt or missing Profile1PrefSources: prefs.js Profile1Themes: extensions.sqlite corrupt or missing Profiles:  Profile0 (Default) - LastVersion=41.0a2/20150805004014 (Out of date)  Profile1 - LastVersion=41.0a2/20150805004014 (Out of date) RunningIncompatibleAddons: False SourcePackage: mozvoikko UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 12/18/2011 dmi.bios.vendor: Hewlett-Packard dmi.bios.version: F.48 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 3577 dmi.board.vendor: Hewlett-Packard dmi.board.version: 24.4A dmi.chassis.asset.tag: Chassis Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnHewlett-Packard:bvrF.48:bd12/18/2011:svnHewlett-Packard:pnPresarioCQ57NotebookPC:pvr068F110000204910000620100:rvnHewlett-Packard:rn3577:rvr24.4A:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: Presario CQ57 Notebook PC dmi.product.version: 068F110000204910000620100 dmi.sys.vendor: Hewlett-Packard [ Impact ] Breaks all Voikko based spell-checking (in Ubuntu by default just Finnish, but more and more languages use the same extension) when Firefox 41 is released. [ Test Case ] Install Firefox 41, or alternatively use the current Firefox and check the extension warnings. When installing a fixed package, the warning disappears in current Firefox / extension works in future Firefox. [ Regression Potential ] Low, the extension is a simple non-compiled extension. --- I have installed Mozilla Firefox 41.0a2 out of repositories, but this extension gets loaded on it too. Today this Firefox Developer Edition started complaining about the addon not being signed which prevents loading it for security reasons. Even if this Firefox is out of repositories, when 41 becomes stable downstream Firefox is also going to suffer from this unless it has patches to disable this which would again be insecure and allow random extensions to be installed from anywhere. Firefox Developer Edition gives "more details" which is link to <https://support.mozilla.org/fi/kb/add-on-signing-in-firefox?redirectlocale=en-US&as=u&redirectslug=add-ons-signing-firefox&utm_source=inproduct>. ProblemType: Bug DistroRelease: Ubuntu 15.10 Package: xul-ext-mozvoikko 2.0.1-1ubuntu1 ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3 Uname: Linux 4.1.0-3-generic x86_64 NonfreeKernelModules: fglrx AddonCompatCheckDisabled: False ApportVersion: 2.18-0ubuntu5 Architecture: amd64 AudioDevicesInUse:  KÄYTTÄJÄ PID ACCESS KÄSKY  /dev/snd/controlC0: mikaela 1673 F.... pulseaudio BuildID: 20150620063927 Channel: Unavailable CurrentDesktop: Date: Thu Aug 6 16:02:29 2015 DefaultProfileExtensions: extensions.sqlite corrupt or missing DefaultProfileIncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) DefaultProfileLocales: extensions.sqlite corrupt or missing DefaultProfileThemes: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  # interfaces(5) file used by ifup(8) and ifdown(8)  auto lo  iface lo inet loopback InstallationDate: Installed on 2015-07-31 (6 days ago) InstallationMedia: Ubuntu-MATE 15.10 "Wily Werewolf" - Alpha amd64 (20150729) IpRoute:  default via 172.16.0.1 dev wlo1 proto static metric 400  10.0.3.0/24 dev lxcbr0 proto kernel scope link src 10.0.3.1  169.254.0.0/16 dev wlo1 scope link metric 1000  172.16.0.0/16 dev wlo1 proto kernel scope link metric 400 PackageArchitecture: all Profile1Extensions: extensions.sqlite corrupt or missing Profile1IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) Profile1Locales: extensions.sqlite corrupt or missing Profile1PrefSources: prefs.js Profile1Themes: extensions.sqlite corrupt or missing Profiles:  Profile0 (Default) - LastVersion=41.0a2/20150805004014 (Out of date)  Profile1 - LastVersion=41.0a2/20150805004014 (Out of date) RunningIncompatibleAddons: False SourcePackage: mozvoikko UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 12/18/2011 dmi.bios.vendor: Hewlett-Packard dmi.bios.version: F.48 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 3577 dmi.board.vendor: Hewlett-Packard dmi.board.version: 24.4A dmi.chassis.asset.tag: Chassis Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnHewlett-Packard:bvrF.48:bd12/18/2011:svnHewlett-Packard:pnPresarioCQ57NotebookPC:pvr068F110000204910000620100:rvnHewlett-Packard:rn3577:rvr24.4A:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: Presario CQ57 Notebook PC dmi.product.version: 068F110000204910000620100 dmi.sys.vendor: Hewlett-Packard
2015-09-18 13:32:00 Launchpad Janitor branch linked lp:~timo-jyrinki/ubuntu/trusty/mozvoikko/new_upstream_signed_release
2015-09-18 13:39:15 Launchpad Janitor branch linked lp:~timo-jyrinki/ubuntu/precise/mozvoikko/new_upstream_signed_release
2015-09-18 13:42:05 Launchpad Janitor branch linked lp:~timo-jyrinki/ubuntu/vivid/mozvoikko/new_upstream_signed_release
2015-09-18 13:44:46 Timo Jyrinki description [ Impact ] Breaks all Voikko based spell-checking (in Ubuntu by default just Finnish, but more and more languages use the same extension) when Firefox 41 is released. [ Test Case ] Install Firefox 41, or alternatively use the current Firefox and check the extension warnings. When installing a fixed package, the warning disappears in current Firefox / extension works in future Firefox. [ Regression Potential ] Low, the extension is a simple non-compiled extension. --- I have installed Mozilla Firefox 41.0a2 out of repositories, but this extension gets loaded on it too. Today this Firefox Developer Edition started complaining about the addon not being signed which prevents loading it for security reasons. Even if this Firefox is out of repositories, when 41 becomes stable downstream Firefox is also going to suffer from this unless it has patches to disable this which would again be insecure and allow random extensions to be installed from anywhere. Firefox Developer Edition gives "more details" which is link to <https://support.mozilla.org/fi/kb/add-on-signing-in-firefox?redirectlocale=en-US&as=u&redirectslug=add-ons-signing-firefox&utm_source=inproduct>. ProblemType: Bug DistroRelease: Ubuntu 15.10 Package: xul-ext-mozvoikko 2.0.1-1ubuntu1 ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3 Uname: Linux 4.1.0-3-generic x86_64 NonfreeKernelModules: fglrx AddonCompatCheckDisabled: False ApportVersion: 2.18-0ubuntu5 Architecture: amd64 AudioDevicesInUse:  KÄYTTÄJÄ PID ACCESS KÄSKY  /dev/snd/controlC0: mikaela 1673 F.... pulseaudio BuildID: 20150620063927 Channel: Unavailable CurrentDesktop: Date: Thu Aug 6 16:02:29 2015 DefaultProfileExtensions: extensions.sqlite corrupt or missing DefaultProfileIncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) DefaultProfileLocales: extensions.sqlite corrupt or missing DefaultProfileThemes: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  # interfaces(5) file used by ifup(8) and ifdown(8)  auto lo  iface lo inet loopback InstallationDate: Installed on 2015-07-31 (6 days ago) InstallationMedia: Ubuntu-MATE 15.10 "Wily Werewolf" - Alpha amd64 (20150729) IpRoute:  default via 172.16.0.1 dev wlo1 proto static metric 400  10.0.3.0/24 dev lxcbr0 proto kernel scope link src 10.0.3.1  169.254.0.0/16 dev wlo1 scope link metric 1000  172.16.0.0/16 dev wlo1 proto kernel scope link metric 400 PackageArchitecture: all Profile1Extensions: extensions.sqlite corrupt or missing Profile1IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) Profile1Locales: extensions.sqlite corrupt or missing Profile1PrefSources: prefs.js Profile1Themes: extensions.sqlite corrupt or missing Profiles:  Profile0 (Default) - LastVersion=41.0a2/20150805004014 (Out of date)  Profile1 - LastVersion=41.0a2/20150805004014 (Out of date) RunningIncompatibleAddons: False SourcePackage: mozvoikko UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 12/18/2011 dmi.bios.vendor: Hewlett-Packard dmi.bios.version: F.48 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 3577 dmi.board.vendor: Hewlett-Packard dmi.board.version: 24.4A dmi.chassis.asset.tag: Chassis Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnHewlett-Packard:bvrF.48:bd12/18/2011:svnHewlett-Packard:pnPresarioCQ57NotebookPC:pvr068F110000204910000620100:rvnHewlett-Packard:rn3577:rvr24.4A:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: Presario CQ57 Notebook PC dmi.product.version: 068F110000204910000620100 dmi.sys.vendor: Hewlett-Packard [ Impact ] Breaks all Voikko based spell-checking (in Ubuntu by default just Finnish, but more and more languages use the same extension) when Firefox 41 is released. [ Test Case ] Install Firefox 41, or alternatively use the current Firefox and check the extension warnings. When installing a fixed package, the warning disappears in current Firefox / extension works in future Firefox. Fixed packages for Ubuntu 15.10, 15.04, 14.04 LTS and 12.04 LTS at https://launchpad.net/~timo-jyrinki/+archive/ubuntu/voikkotest/ [ Regression Potential ] Low, the extension is a simple non-compiled extension. --- I have installed Mozilla Firefox 41.0a2 out of repositories, but this extension gets loaded on it too. Today this Firefox Developer Edition started complaining about the addon not being signed which prevents loading it for security reasons. Even if this Firefox is out of repositories, when 41 becomes stable downstream Firefox is also going to suffer from this unless it has patches to disable this which would again be insecure and allow random extensions to be installed from anywhere. Firefox Developer Edition gives "more details" which is link to <https://support.mozilla.org/fi/kb/add-on-signing-in-firefox?redirectlocale=en-US&as=u&redirectslug=add-ons-signing-firefox&utm_source=inproduct>. ProblemType: Bug DistroRelease: Ubuntu 15.10 Package: xul-ext-mozvoikko 2.0.1-1ubuntu1 ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3 Uname: Linux 4.1.0-3-generic x86_64 NonfreeKernelModules: fglrx AddonCompatCheckDisabled: False ApportVersion: 2.18-0ubuntu5 Architecture: amd64 AudioDevicesInUse:  KÄYTTÄJÄ PID ACCESS KÄSKY  /dev/snd/controlC0: mikaela 1673 F.... pulseaudio BuildID: 20150620063927 Channel: Unavailable CurrentDesktop: Date: Thu Aug 6 16:02:29 2015 DefaultProfileExtensions: extensions.sqlite corrupt or missing DefaultProfileIncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) DefaultProfileLocales: extensions.sqlite corrupt or missing DefaultProfileThemes: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  # interfaces(5) file used by ifup(8) and ifdown(8)  auto lo  iface lo inet loopback InstallationDate: Installed on 2015-07-31 (6 days ago) InstallationMedia: Ubuntu-MATE 15.10 "Wily Werewolf" - Alpha amd64 (20150729) IpRoute:  default via 172.16.0.1 dev wlo1 proto static metric 400  10.0.3.0/24 dev lxcbr0 proto kernel scope link src 10.0.3.1  169.254.0.0/16 dev wlo1 scope link metric 1000  172.16.0.0/16 dev wlo1 proto kernel scope link metric 400 PackageArchitecture: all Profile1Extensions: extensions.sqlite corrupt or missing Profile1IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) Profile1Locales: extensions.sqlite corrupt or missing Profile1PrefSources: prefs.js Profile1Themes: extensions.sqlite corrupt or missing Profiles:  Profile0 (Default) - LastVersion=41.0a2/20150805004014 (Out of date)  Profile1 - LastVersion=41.0a2/20150805004014 (Out of date) RunningIncompatibleAddons: False SourcePackage: mozvoikko UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 12/18/2011 dmi.bios.vendor: Hewlett-Packard dmi.bios.version: F.48 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 3577 dmi.board.vendor: Hewlett-Packard dmi.board.version: 24.4A dmi.chassis.asset.tag: Chassis Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnHewlett-Packard:bvrF.48:bd12/18/2011:svnHewlett-Packard:pnPresarioCQ57NotebookPC:pvr068F110000204910000620100:rvnHewlett-Packard:rn3577:rvr24.4A:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: Presario CQ57 Notebook PC dmi.product.version: 068F110000204910000620100 dmi.sys.vendor: Hewlett-Packard
2015-09-18 14:15:00 Timo Jyrinki description [ Impact ] Breaks all Voikko based spell-checking (in Ubuntu by default just Finnish, but more and more languages use the same extension) when Firefox 41 is released. [ Test Case ] Install Firefox 41, or alternatively use the current Firefox and check the extension warnings. When installing a fixed package, the warning disappears in current Firefox / extension works in future Firefox. Fixed packages for Ubuntu 15.10, 15.04, 14.04 LTS and 12.04 LTS at https://launchpad.net/~timo-jyrinki/+archive/ubuntu/voikkotest/ [ Regression Potential ] Low, the extension is a simple non-compiled extension. --- I have installed Mozilla Firefox 41.0a2 out of repositories, but this extension gets loaded on it too. Today this Firefox Developer Edition started complaining about the addon not being signed which prevents loading it for security reasons. Even if this Firefox is out of repositories, when 41 becomes stable downstream Firefox is also going to suffer from this unless it has patches to disable this which would again be insecure and allow random extensions to be installed from anywhere. Firefox Developer Edition gives "more details" which is link to <https://support.mozilla.org/fi/kb/add-on-signing-in-firefox?redirectlocale=en-US&as=u&redirectslug=add-ons-signing-firefox&utm_source=inproduct>. ProblemType: Bug DistroRelease: Ubuntu 15.10 Package: xul-ext-mozvoikko 2.0.1-1ubuntu1 ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3 Uname: Linux 4.1.0-3-generic x86_64 NonfreeKernelModules: fglrx AddonCompatCheckDisabled: False ApportVersion: 2.18-0ubuntu5 Architecture: amd64 AudioDevicesInUse:  KÄYTTÄJÄ PID ACCESS KÄSKY  /dev/snd/controlC0: mikaela 1673 F.... pulseaudio BuildID: 20150620063927 Channel: Unavailable CurrentDesktop: Date: Thu Aug 6 16:02:29 2015 DefaultProfileExtensions: extensions.sqlite corrupt or missing DefaultProfileIncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) DefaultProfileLocales: extensions.sqlite corrupt or missing DefaultProfileThemes: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  # interfaces(5) file used by ifup(8) and ifdown(8)  auto lo  iface lo inet loopback InstallationDate: Installed on 2015-07-31 (6 days ago) InstallationMedia: Ubuntu-MATE 15.10 "Wily Werewolf" - Alpha amd64 (20150729) IpRoute:  default via 172.16.0.1 dev wlo1 proto static metric 400  10.0.3.0/24 dev lxcbr0 proto kernel scope link src 10.0.3.1  169.254.0.0/16 dev wlo1 scope link metric 1000  172.16.0.0/16 dev wlo1 proto kernel scope link metric 400 PackageArchitecture: all Profile1Extensions: extensions.sqlite corrupt or missing Profile1IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) Profile1Locales: extensions.sqlite corrupt or missing Profile1PrefSources: prefs.js Profile1Themes: extensions.sqlite corrupt or missing Profiles:  Profile0 (Default) - LastVersion=41.0a2/20150805004014 (Out of date)  Profile1 - LastVersion=41.0a2/20150805004014 (Out of date) RunningIncompatibleAddons: False SourcePackage: mozvoikko UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 12/18/2011 dmi.bios.vendor: Hewlett-Packard dmi.bios.version: F.48 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 3577 dmi.board.vendor: Hewlett-Packard dmi.board.version: 24.4A dmi.chassis.asset.tag: Chassis Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnHewlett-Packard:bvrF.48:bd12/18/2011:svnHewlett-Packard:pnPresarioCQ57NotebookPC:pvr068F110000204910000620100:rvnHewlett-Packard:rn3577:rvr24.4A:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: Presario CQ57 Notebook PC dmi.product.version: 068F110000204910000620100 dmi.sys.vendor: Hewlett-Packard [ Impact ] Breaks all Voikko based spell-checking (in Ubuntu by default just Finnish, but more and more languages use the same extension) when Firefox 41 is released. [ Test Case ] Install Firefox 41, or alternatively use the current Firefox and check the extension warnings. When installing a fixed package, the warning disappears in current Firefox / extension works in future Firefox. Fixed packages for Ubuntu 15.10, 15.04, 14.04 LTS and 12.04 LTS at https://launchpad.net/~timo-jyrinki/+archive/ubuntu/voikkotest2/ [ Regression Potential ] Low, the extension is a simple non-compiled extension. --- I have installed Mozilla Firefox 41.0a2 out of repositories, but this extension gets loaded on it too. Today this Firefox Developer Edition started complaining about the addon not being signed which prevents loading it for security reasons. Even if this Firefox is out of repositories, when 41 becomes stable downstream Firefox is also going to suffer from this unless it has patches to disable this which would again be insecure and allow random extensions to be installed from anywhere. Firefox Developer Edition gives "more details" which is link to <https://support.mozilla.org/fi/kb/add-on-signing-in-firefox?redirectlocale=en-US&as=u&redirectslug=add-ons-signing-firefox&utm_source=inproduct>. ProblemType: Bug DistroRelease: Ubuntu 15.10 Package: xul-ext-mozvoikko 2.0.1-1ubuntu1 ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3 Uname: Linux 4.1.0-3-generic x86_64 NonfreeKernelModules: fglrx AddonCompatCheckDisabled: False ApportVersion: 2.18-0ubuntu5 Architecture: amd64 AudioDevicesInUse:  KÄYTTÄJÄ PID ACCESS KÄSKY  /dev/snd/controlC0: mikaela 1673 F.... pulseaudio BuildID: 20150620063927 Channel: Unavailable CurrentDesktop: Date: Thu Aug 6 16:02:29 2015 DefaultProfileExtensions: extensions.sqlite corrupt or missing DefaultProfileIncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) DefaultProfileLocales: extensions.sqlite corrupt or missing DefaultProfileThemes: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  # interfaces(5) file used by ifup(8) and ifdown(8)  auto lo  iface lo inet loopback InstallationDate: Installed on 2015-07-31 (6 days ago) InstallationMedia: Ubuntu-MATE 15.10 "Wily Werewolf" - Alpha amd64 (20150729) IpRoute:  default via 172.16.0.1 dev wlo1 proto static metric 400  10.0.3.0/24 dev lxcbr0 proto kernel scope link src 10.0.3.1  169.254.0.0/16 dev wlo1 scope link metric 1000  172.16.0.0/16 dev wlo1 proto kernel scope link metric 400 PackageArchitecture: all Profile1Extensions: extensions.sqlite corrupt or missing Profile1IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) Profile1Locales: extensions.sqlite corrupt or missing Profile1PrefSources: prefs.js Profile1Themes: extensions.sqlite corrupt or missing Profiles:  Profile0 (Default) - LastVersion=41.0a2/20150805004014 (Out of date)  Profile1 - LastVersion=41.0a2/20150805004014 (Out of date) RunningIncompatibleAddons: False SourcePackage: mozvoikko UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 12/18/2011 dmi.bios.vendor: Hewlett-Packard dmi.bios.version: F.48 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 3577 dmi.board.vendor: Hewlett-Packard dmi.board.version: 24.4A dmi.chassis.asset.tag: Chassis Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnHewlett-Packard:bvrF.48:bd12/18/2011:svnHewlett-Packard:pnPresarioCQ57NotebookPC:pvr068F110000204910000620100:rvnHewlett-Packard:rn3577:rvr24.4A:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: Presario CQ57 Notebook PC dmi.product.version: 068F110000204910000620100 dmi.sys.vendor: Hewlett-Packard
2015-09-18 14:17:22 Timo Jyrinki description [ Impact ] Breaks all Voikko based spell-checking (in Ubuntu by default just Finnish, but more and more languages use the same extension) when Firefox 41 is released. [ Test Case ] Install Firefox 41, or alternatively use the current Firefox and check the extension warnings. When installing a fixed package, the warning disappears in current Firefox / extension works in future Firefox. Fixed packages for Ubuntu 15.10, 15.04, 14.04 LTS and 12.04 LTS at https://launchpad.net/~timo-jyrinki/+archive/ubuntu/voikkotest2/ [ Regression Potential ] Low, the extension is a simple non-compiled extension. --- I have installed Mozilla Firefox 41.0a2 out of repositories, but this extension gets loaded on it too. Today this Firefox Developer Edition started complaining about the addon not being signed which prevents loading it for security reasons. Even if this Firefox is out of repositories, when 41 becomes stable downstream Firefox is also going to suffer from this unless it has patches to disable this which would again be insecure and allow random extensions to be installed from anywhere. Firefox Developer Edition gives "more details" which is link to <https://support.mozilla.org/fi/kb/add-on-signing-in-firefox?redirectlocale=en-US&as=u&redirectslug=add-ons-signing-firefox&utm_source=inproduct>. ProblemType: Bug DistroRelease: Ubuntu 15.10 Package: xul-ext-mozvoikko 2.0.1-1ubuntu1 ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3 Uname: Linux 4.1.0-3-generic x86_64 NonfreeKernelModules: fglrx AddonCompatCheckDisabled: False ApportVersion: 2.18-0ubuntu5 Architecture: amd64 AudioDevicesInUse:  KÄYTTÄJÄ PID ACCESS KÄSKY  /dev/snd/controlC0: mikaela 1673 F.... pulseaudio BuildID: 20150620063927 Channel: Unavailable CurrentDesktop: Date: Thu Aug 6 16:02:29 2015 DefaultProfileExtensions: extensions.sqlite corrupt or missing DefaultProfileIncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) DefaultProfileLocales: extensions.sqlite corrupt or missing DefaultProfileThemes: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  # interfaces(5) file used by ifup(8) and ifdown(8)  auto lo  iface lo inet loopback InstallationDate: Installed on 2015-07-31 (6 days ago) InstallationMedia: Ubuntu-MATE 15.10 "Wily Werewolf" - Alpha amd64 (20150729) IpRoute:  default via 172.16.0.1 dev wlo1 proto static metric 400  10.0.3.0/24 dev lxcbr0 proto kernel scope link src 10.0.3.1  169.254.0.0/16 dev wlo1 scope link metric 1000  172.16.0.0/16 dev wlo1 proto kernel scope link metric 400 PackageArchitecture: all Profile1Extensions: extensions.sqlite corrupt or missing Profile1IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) Profile1Locales: extensions.sqlite corrupt or missing Profile1PrefSources: prefs.js Profile1Themes: extensions.sqlite corrupt or missing Profiles:  Profile0 (Default) - LastVersion=41.0a2/20150805004014 (Out of date)  Profile1 - LastVersion=41.0a2/20150805004014 (Out of date) RunningIncompatibleAddons: False SourcePackage: mozvoikko UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 12/18/2011 dmi.bios.vendor: Hewlett-Packard dmi.bios.version: F.48 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 3577 dmi.board.vendor: Hewlett-Packard dmi.board.version: 24.4A dmi.chassis.asset.tag: Chassis Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnHewlett-Packard:bvrF.48:bd12/18/2011:svnHewlett-Packard:pnPresarioCQ57NotebookPC:pvr068F110000204910000620100:rvnHewlett-Packard:rn3577:rvr24.4A:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: Presario CQ57 Notebook PC dmi.product.version: 068F110000204910000620100 dmi.sys.vendor: Hewlett-Packard [ Impact ] Breaks all Voikko based spell-checking (in Ubuntu by default just Finnish, but more and more languages use the same extension) when Firefox 41 is released. [ Test Case ] Install Firefox 41, or alternatively use the current Firefox and check the extension warnings. When installing a fixed package, the warning disappears in current Firefox / extension works in future Firefox. Fixed packages for Ubuntu 15.10, 15.04, 14.04 LTS and 12.04 LTS at https://launchpad.net/~timo-jyrinki/+archive/ubuntu/voikkotest2/ To test the extension actually still works, enable spell-checking for a text area, set language to Finnish and copy-paste "tämä on testitekstia" to it. Firefox should underline the last word and offer "testitekstiä" instead (ä instead of a). [ Regression Potential ] Low, the extension is a simple non-compiled extension. --- I have installed Mozilla Firefox 41.0a2 out of repositories, but this extension gets loaded on it too. Today this Firefox Developer Edition started complaining about the addon not being signed which prevents loading it for security reasons. Even if this Firefox is out of repositories, when 41 becomes stable downstream Firefox is also going to suffer from this unless it has patches to disable this which would again be insecure and allow random extensions to be installed from anywhere. Firefox Developer Edition gives "more details" which is link to <https://support.mozilla.org/fi/kb/add-on-signing-in-firefox?redirectlocale=en-US&as=u&redirectslug=add-ons-signing-firefox&utm_source=inproduct>. ProblemType: Bug DistroRelease: Ubuntu 15.10 Package: xul-ext-mozvoikko 2.0.1-1ubuntu1 ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3 Uname: Linux 4.1.0-3-generic x86_64 NonfreeKernelModules: fglrx AddonCompatCheckDisabled: False ApportVersion: 2.18-0ubuntu5 Architecture: amd64 AudioDevicesInUse:  KÄYTTÄJÄ PID ACCESS KÄSKY  /dev/snd/controlC0: mikaela 1673 F.... pulseaudio BuildID: 20150620063927 Channel: Unavailable CurrentDesktop: Date: Thu Aug 6 16:02:29 2015 DefaultProfileExtensions: extensions.sqlite corrupt or missing DefaultProfileIncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) DefaultProfileLocales: extensions.sqlite corrupt or missing DefaultProfileThemes: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  # interfaces(5) file used by ifup(8) and ifdown(8)  auto lo  iface lo inet loopback InstallationDate: Installed on 2015-07-31 (6 days ago) InstallationMedia: Ubuntu-MATE 15.10 "Wily Werewolf" - Alpha amd64 (20150729) IpRoute:  default via 172.16.0.1 dev wlo1 proto static metric 400  10.0.3.0/24 dev lxcbr0 proto kernel scope link src 10.0.3.1  169.254.0.0/16 dev wlo1 scope link metric 1000  172.16.0.0/16 dev wlo1 proto kernel scope link metric 400 PackageArchitecture: all Profile1Extensions: extensions.sqlite corrupt or missing Profile1IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) Profile1Locales: extensions.sqlite corrupt or missing Profile1PrefSources: prefs.js Profile1Themes: extensions.sqlite corrupt or missing Profiles:  Profile0 (Default) - LastVersion=41.0a2/20150805004014 (Out of date)  Profile1 - LastVersion=41.0a2/20150805004014 (Out of date) RunningIncompatibleAddons: False SourcePackage: mozvoikko UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 12/18/2011 dmi.bios.vendor: Hewlett-Packard dmi.bios.version: F.48 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 3577 dmi.board.vendor: Hewlett-Packard dmi.board.version: 24.4A dmi.chassis.asset.tag: Chassis Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnHewlett-Packard:bvrF.48:bd12/18/2011:svnHewlett-Packard:pnPresarioCQ57NotebookPC:pvr068F110000204910000620100:rvnHewlett-Packard:rn3577:rvr24.4A:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: Presario CQ57 Notebook PC dmi.product.version: 068F110000204910000620100 dmi.sys.vendor: Hewlett-Packard
2015-09-18 14:29:46 Timo Jyrinki bug added subscriber Ubuntu Sponsors Team
2015-09-18 14:29:51 Timo Jyrinki bug added subscriber Ubuntu Stable Release Updates Team
2015-09-18 16:35:23 Timo Jyrinki description [ Impact ] Breaks all Voikko based spell-checking (in Ubuntu by default just Finnish, but more and more languages use the same extension) when Firefox 41 is released. [ Test Case ] Install Firefox 41, or alternatively use the current Firefox and check the extension warnings. When installing a fixed package, the warning disappears in current Firefox / extension works in future Firefox. Fixed packages for Ubuntu 15.10, 15.04, 14.04 LTS and 12.04 LTS at https://launchpad.net/~timo-jyrinki/+archive/ubuntu/voikkotest2/ To test the extension actually still works, enable spell-checking for a text area, set language to Finnish and copy-paste "tämä on testitekstia" to it. Firefox should underline the last word and offer "testitekstiä" instead (ä instead of a). [ Regression Potential ] Low, the extension is a simple non-compiled extension. --- I have installed Mozilla Firefox 41.0a2 out of repositories, but this extension gets loaded on it too. Today this Firefox Developer Edition started complaining about the addon not being signed which prevents loading it for security reasons. Even if this Firefox is out of repositories, when 41 becomes stable downstream Firefox is also going to suffer from this unless it has patches to disable this which would again be insecure and allow random extensions to be installed from anywhere. Firefox Developer Edition gives "more details" which is link to <https://support.mozilla.org/fi/kb/add-on-signing-in-firefox?redirectlocale=en-US&as=u&redirectslug=add-ons-signing-firefox&utm_source=inproduct>. ProblemType: Bug DistroRelease: Ubuntu 15.10 Package: xul-ext-mozvoikko 2.0.1-1ubuntu1 ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3 Uname: Linux 4.1.0-3-generic x86_64 NonfreeKernelModules: fglrx AddonCompatCheckDisabled: False ApportVersion: 2.18-0ubuntu5 Architecture: amd64 AudioDevicesInUse:  KÄYTTÄJÄ PID ACCESS KÄSKY  /dev/snd/controlC0: mikaela 1673 F.... pulseaudio BuildID: 20150620063927 Channel: Unavailable CurrentDesktop: Date: Thu Aug 6 16:02:29 2015 DefaultProfileExtensions: extensions.sqlite corrupt or missing DefaultProfileIncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) DefaultProfileLocales: extensions.sqlite corrupt or missing DefaultProfileThemes: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  # interfaces(5) file used by ifup(8) and ifdown(8)  auto lo  iface lo inet loopback InstallationDate: Installed on 2015-07-31 (6 days ago) InstallationMedia: Ubuntu-MATE 15.10 "Wily Werewolf" - Alpha amd64 (20150729) IpRoute:  default via 172.16.0.1 dev wlo1 proto static metric 400  10.0.3.0/24 dev lxcbr0 proto kernel scope link src 10.0.3.1  169.254.0.0/16 dev wlo1 scope link metric 1000  172.16.0.0/16 dev wlo1 proto kernel scope link metric 400 PackageArchitecture: all Profile1Extensions: extensions.sqlite corrupt or missing Profile1IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) Profile1Locales: extensions.sqlite corrupt or missing Profile1PrefSources: prefs.js Profile1Themes: extensions.sqlite corrupt or missing Profiles:  Profile0 (Default) - LastVersion=41.0a2/20150805004014 (Out of date)  Profile1 - LastVersion=41.0a2/20150805004014 (Out of date) RunningIncompatibleAddons: False SourcePackage: mozvoikko UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 12/18/2011 dmi.bios.vendor: Hewlett-Packard dmi.bios.version: F.48 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 3577 dmi.board.vendor: Hewlett-Packard dmi.board.version: 24.4A dmi.chassis.asset.tag: Chassis Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnHewlett-Packard:bvrF.48:bd12/18/2011:svnHewlett-Packard:pnPresarioCQ57NotebookPC:pvr068F110000204910000620100:rvnHewlett-Packard:rn3577:rvr24.4A:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: Presario CQ57 Notebook PC dmi.product.version: 068F110000204910000620100 dmi.sys.vendor: Hewlett-Packard [ Impact ] Breaks all Voikko based spell-checking (in Ubuntu by default just Finnish, but more and more languages use the same extension) when Firefox 41 is released. [ Test Case ] Install Firefox 41, or alternatively use the current Firefox and check the extension warnings. When installing a fixed package, the warning disappears in current Firefox / extension works in future Firefox. Update: it seems the future Firefox (at least from https://launchpad.net/~mozillateam/+archive/ubuntu/firefox-next/+packages) does _warn_ about the updated extension, but it does work after update. Fixed packages for Ubuntu 15.10, 15.04, 14.04 LTS and 12.04 LTS at https://launchpad.net/~timo-jyrinki/+archive/ubuntu/voikkotest2/ To test the extension actually still works, enable spell-checking for a text area, set language to Finnish and copy-paste "tämä on testitekstia" to it. Firefox should underline the last word and offer "testitekstiä" instead (ä instead of a). [ Regression Potential ] Low, the extension is a simple non-compiled extension. --- I have installed Mozilla Firefox 41.0a2 out of repositories, but this extension gets loaded on it too. Today this Firefox Developer Edition started complaining about the addon not being signed which prevents loading it for security reasons. Even if this Firefox is out of repositories, when 41 becomes stable downstream Firefox is also going to suffer from this unless it has patches to disable this which would again be insecure and allow random extensions to be installed from anywhere. Firefox Developer Edition gives "more details" which is link to <https://support.mozilla.org/fi/kb/add-on-signing-in-firefox?redirectlocale=en-US&as=u&redirectslug=add-ons-signing-firefox&utm_source=inproduct>. ProblemType: Bug DistroRelease: Ubuntu 15.10 Package: xul-ext-mozvoikko 2.0.1-1ubuntu1 ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3 Uname: Linux 4.1.0-3-generic x86_64 NonfreeKernelModules: fglrx AddonCompatCheckDisabled: False ApportVersion: 2.18-0ubuntu5 Architecture: amd64 AudioDevicesInUse:  KÄYTTÄJÄ PID ACCESS KÄSKY  /dev/snd/controlC0: mikaela 1673 F.... pulseaudio BuildID: 20150620063927 Channel: Unavailable CurrentDesktop: Date: Thu Aug 6 16:02:29 2015 DefaultProfileExtensions: extensions.sqlite corrupt or missing DefaultProfileIncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) DefaultProfileLocales: extensions.sqlite corrupt or missing DefaultProfileThemes: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  # interfaces(5) file used by ifup(8) and ifdown(8)  auto lo  iface lo inet loopback InstallationDate: Installed on 2015-07-31 (6 days ago) InstallationMedia: Ubuntu-MATE 15.10 "Wily Werewolf" - Alpha amd64 (20150729) IpRoute:  default via 172.16.0.1 dev wlo1 proto static metric 400  10.0.3.0/24 dev lxcbr0 proto kernel scope link src 10.0.3.1  169.254.0.0/16 dev wlo1 scope link metric 1000  172.16.0.0/16 dev wlo1 proto kernel scope link metric 400 PackageArchitecture: all Profile1Extensions: extensions.sqlite corrupt or missing Profile1IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) Profile1Locales: extensions.sqlite corrupt or missing Profile1PrefSources: prefs.js Profile1Themes: extensions.sqlite corrupt or missing Profiles:  Profile0 (Default) - LastVersion=41.0a2/20150805004014 (Out of date)  Profile1 - LastVersion=41.0a2/20150805004014 (Out of date) RunningIncompatibleAddons: False SourcePackage: mozvoikko UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 12/18/2011 dmi.bios.vendor: Hewlett-Packard dmi.bios.version: F.48 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 3577 dmi.board.vendor: Hewlett-Packard dmi.board.version: 24.4A dmi.chassis.asset.tag: Chassis Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnHewlett-Packard:bvrF.48:bd12/18/2011:svnHewlett-Packard:pnPresarioCQ57NotebookPC:pvr068F110000204910000620100:rvnHewlett-Packard:rn3577:rvr24.4A:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: Presario CQ57 Notebook PC dmi.product.version: 068F110000204910000620100 dmi.sys.vendor: Hewlett-Packard
2015-09-21 11:37:09 Timo Jyrinki removed subscriber Ubuntu Sponsors Team
2015-12-16 10:44:24 Jani Uusitalo bug added subscriber Jani Uusitalo
2015-12-18 01:09:04 mrl586 bug added subscriber mrl586
2015-12-19 13:57:58 Tuomas Suutari bug added subscriber Tuomas Suutari